#! /usr/bin/env python

"""Generates a basic Chutney configuration file based on a NetMirage
   virtual network.
"""

# Configuration is based on Chutney's "basic" file
CONFIG = """Authority = Node(tag="a", authority=1, relay=1, torrc="authority.tmpl")
Relay = Node(tag="r", relay=1, exit=1, torrc="relay.tmpl")
Client = Node(tag="c", torrc="client.tmpl")

NODES = Authority.getN({0}) + Relay.getN({1}) + Client.getN({2})

import sys
sys.path.append('{3}')
import netmirage_tor
netmirage_tor.Assign(NODES, '{4}')

ConfigureNodes(NODES)
"""

import inspect
import os
import sys

if __name__ == "__main__":
	if len(sys.argv) != 6:
		sys.exit("usage: <authorities> <relays> <clients> <ip-file> <conf-file>")
	authorities = int(sys.argv[1])
	relays = int(sys.argv[2])
	clients = int(sys.argv[3])
	ipFile = sys.argv[4]
	confFile = sys.argv[5]
	
	myDir = os.path.dirname(os.path.abspath(inspect.getfile(inspect.currentframe())))
	
	with open(confFile, "w") as f:
		f.write(CONFIG.format(authorities, relays, clients, myDir, ipFile))
