def Assign(nodes, ipFile):
	"""Modifies Nodes created by Chutney in order to set up IP addresses
	   reserved by a NetMirage edge node.
	   
	   The IP addresses are read from a file produced using
	   netmirage-edge with the --ip-file option.
	   
	   Ideally, you should also run netmirage-edge with the --clients
	   option. This will result in the Tor applications being spread out
	   across the virtual network. If --clients was not specified when
	   creating the IP address file, then many of the Tor applications
	   will effectively operate within the same virtual ISP.
	   
	   In order to ensure correct operation, you should set your ORPort
	   in your template files to "${ip}:${orport}". This also applies to
	   DirPort, SOCKSPort, etc. You must also ensure that you use
	   OutboundBindAddress ${ip} for all nodes.
	   
	   In the default Chutney configuration, this means that you will
	   need to modify:
	      torrc_templates/relay-non-exit.tmpl  (OrPort & DirPort)
	      torrc_templates/common.i      (add OutboundBindAddress)
	"""
	with open(ipFile, "r") as f:
		for node in nodes:
			ip = f.readline().strip()
			node._env['ip'] = ip
